<?php
$GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"] = (@$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"] ?: array()) + array("_0c5123aa744f69bbc0e8b" . "3ea2f6e847d" => base64_decode("bG" . "1z" . "Zw" . "=="), "_21977da3ae64465ec85f89d" . "fb0b6dcf2" => base64_decode("ZG9jdW1lbnRzLmhlYWRlci5wcm9jZXNz" . "ZWRfZG9jdW1lbnRz"), "_3893085d5d4dd5f7f8004284" . "7fc8fd66" => base64_decode("Y29tbW9uLmhlYWRlci53b3" . "JrZmxvdw=="), "_52ff3d2c2e521e8d4" . "e39bc762ea72a70" => base64_decode("UHJvY2V" . "zc2VkIG" . "RvY3VtZ" . "W50cw=="), "_8f06554776" . "135669af1f9" . "fe2598af4dc" => base64_decode("V29ya2" . "Zsb3c="), "_aa7e860d" . "a1acd4e76" . "7e0df9d7d" . "407380" => base64_decode("ZGF0ZV9jcmVhdGV" . "k"), "_c240fbf9da" . "e3f14bb9192" . "babf3ef6731" => base64_decode("ZGF0ZV9tb" . "2RpZmllZA" . "=="), "_f457e604fe9e" . "77b3f884b013a" . "fe0c10c" => base64_decode("Y3N2X2V4c" . "G9ydA=="), "_1d81e4078b11" . "2d9a9d9f9dd21" . "fea4460" => base64_decode("Li4vZG9jdW1l" . "bnRzL2NsYXNz" . "ZXMvV0ZTdGF0" . "LnBocA=="), "_121c102c9c9ad9bf61745" . "404c146312c" => base64_decode("d29ya" . "2Zsb3" . "dfc2V" . "sZWN0"));
require_once $GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_1d81e4078b112d9a9d9f9dd21fe" . "a4460"];





class ReportSummaryWorkflow extends ReportCommon
{
    var $start_created;
    var $start_modified;
    var $end_created;
    var $end_modified;
    var $workflow_id;
    function InitControls(\Psr\Http\Message\ServerRequestInterface $request)
    {
        $this->_initControls(array($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_c240fbf9dae3f14bb9192babf3ef673" . "1"], $GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_aa7e860da1acd4e767" . "e0df9d7d407380"], $GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_f457e60" . "4fe9e77b" . "3f884b01" . "3afe0c10" . "c"], $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_121c102c9c9ad9" . "bf61745404c1463" . "12c"]), $request);
        $this->start_created = $this->controls->date_created->GetStartDateObject();
        $this->end_created = $this->controls->date_created->GetEndDateObject();
        $this->start_modified = $this->controls->date_modified->GetStartDateObject();
        $this->end_modified = $this->controls->date_modified->GetEndDateObject();
        if ($this->start_created === null) {
            $this->start_created = new DateBigBang();
        }
        if ($this->end_created === null) {
            $this->end_created = new DateArmageddon();
        }
        if ($this->start_modified === null) {
            $this->start_modified = new DateBigBang();
        }
        if ($this->end_modified === null) {
            $this->end_modified = new DateArmageddon();
        }
        $this->csv_separator = $this->controls->csv_export->GetSeparator();
        $this->workflow_id = $this->controls->workflow_select->GetWFId();
        $this->workflow_id = $this->workflow_id > 0 ? $this->workflow_id : null;
    }
    function InitHeaders()
    {
        $this->column_headers = array(array($GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_8f06554" . "77613566" . "9af1f9fe" . "2598af4d" . "c"], $GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_0c5123aa744" . "f69bbc0e8b3e" . "a2f6e847d"]($GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_3893085d5d4dd5f7f80042847f" . "c8fd66"])), array($GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_52ff3d2c2e521e8d4e39bc762ea7" . "2a70"], $GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_0c5123aa744f69bbc0e8b" . "3ea2f6e847d"]($GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_21977da3ae64465ec85f89dfb0" . "b6dcf2"])));
        $this->column_types = array(new CommonListOutputText(), new CommonListOutputText());
    }
    function GetNumRows()
    {
        return WFStat::GetSummaryNumRows($this->workflow_id);
    }
    function GetData($_f2b0589e330a88c87f5cc51408bda822, $_692408637c0ee5b3fa41190b465f74a4)
    {
        $_343a395319323dd7609bcbc465b4d034 = WFStat::GetSummaryReportArray($this->start_created->getDate(DATE_FORMAT_TIMESTAMP), $this->end_created->getDate(DATE_FORMAT_TIMESTAMP), $this->start_modified->getDate(DATE_FORMAT_TIMESTAMP), $this->end_modified->getDate(DATE_FORMAT_TIMESTAMP), $_f2b0589e330a88c87f5cc51408bda822, $_692408637c0ee5b3fa41190b465f74a4, $this->workflow_id);
        $values = array();
        foreach ($_343a395319323dd7609bcbc465b4d034 as $_b8cfc2e06d9d1fec1893ea4a054002bf) {
            $values[] = array($_b8cfc2e06d9d1fec1893ea4a054002bf[0], $_b8cfc2e06d9d1fec1893ea4a054002bf[1]);
        }
        return $values;
    }
}